summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/activesupport-6.1.6.1.ebuild2
-rw-r--r--dev-ruby/activesupport/activesupport-6.1.7.ebuild2
-rw-r--r--dev-ruby/capistrano/capistrano-2.15.5-r3.ebuild4
-rw-r--r--dev-ruby/ethon/Manifest1
-rw-r--r--dev-ruby/ethon/ethon-0.16.0.ebuild33
-rw-r--r--dev-ruby/minitest/minitest-5.16.3.ebuild5
-rw-r--r--dev-ruby/net-sftp/Manifest1
-rw-r--r--dev-ruby/net-sftp/net-sftp-4.0.0.ebuild36
8 files changed, 80 insertions, 4 deletions
diff --git a/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild b/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
index bf5b64efaf18..613922116101 100644
--- a/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
+++ b/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
@@ -35,7 +35,7 @@ ruby_add_rdepend "
# memcache-client, nokogiri, builder, and redis are not strictly needed,
# but there are tests using this code.
ruby_add_bdepend "test? (
- >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/dalli-3.0.1
dev-ruby/connection_pool
>=dev-ruby/nokogiri-1.8.1
>=dev-ruby/builder-3.1.0
diff --git a/dev-ruby/activesupport/activesupport-6.1.7.ebuild b/dev-ruby/activesupport/activesupport-6.1.7.ebuild
index 1ad3c3c2edd9..76d366006776 100644
--- a/dev-ruby/activesupport/activesupport-6.1.7.ebuild
+++ b/dev-ruby/activesupport/activesupport-6.1.7.ebuild
@@ -35,7 +35,7 @@ ruby_add_rdepend "
# memcache-client, nokogiri, builder, and redis are not strictly needed,
# but there are tests using this code.
ruby_add_bdepend "test? (
- >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/dalli-3.0.1
dev-ruby/connection_pool
>=dev-ruby/nokogiri-1.8.1
>=dev-ruby/builder-3.1.0
diff --git a/dev-ruby/capistrano/capistrano-2.15.5-r3.ebuild b/dev-ruby/capistrano/capistrano-2.15.5-r3.ebuild
index 1aa1107403c9..358a7e529c07 100644
--- a/dev-ruby/capistrano/capistrano-2.15.5-r3.ebuild
+++ b/dev-ruby/capistrano/capistrano-2.15.5-r3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby27 ruby30 ruby31"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
diff --git a/dev-ruby/ethon/Manifest b/dev-ruby/ethon/Manifest
index c2eb5654fb90..7c15501f642d 100644
--- a/dev-ruby/ethon/Manifest
+++ b/dev-ruby/ethon/Manifest
@@ -1,2 +1,3 @@
DIST ethon-0.14.0.gem 57344 BLAKE2B 10dd81966e3e11607f3954616d17fed79be4ba0793cb4e67b39d5b0768ce2adcea88551238c57889b6d14b3d4d9b8e96110d622f5fc40c3856788338a288d4c6 SHA512 765454c3c9132204d6cc0ff09478b252e5cbc78d4f3ca35654942ba19b5aa541d846f1c37ec16e51c54aa41e03debdf8fc084b8f4540d230431d0e6f885f1a51
DIST ethon-0.15.0.gem 59904 BLAKE2B 9a6bcec605d6133054c3ee9b4546aab4d9282266876cd9c6e9c923d3405a5541871ebe83385185dcc42f0cea37735cddd9977e2da72badbcaaac55b8c634b94c SHA512 6e04c70e105fb95f1e0ff62e1d6ae009bb7b39a60d85ec9e43b10c016f33f679620ded253089a738e0cef5010e9023d1093dd92b1caacdde8f6a745cbae2b5b5
+DIST ethon-0.16.0.gem 60416 BLAKE2B 6970554d8cbde18c0e08c95826f6444614d8378a3889e9347cc66170f80b947951312e3e65712106864351285f331ea0cb67c2e24e22ecc335fc0fbd571eb521 SHA512 3b31affcee0d5a5be05b5497d4a8d13515f8393f54579a3a9c8de49f78d3f065bb92659434b023f0a8bf8e0cccfbc94b617695b93c4d3f744cccd1eff2e68905
diff --git a/dev-ruby/ethon/ethon-0.16.0.ebuild b/dev-ruby/ethon/ethon-0.16.0.ebuild
new file mode 100644
index 000000000000..6d7ded2b089d
--- /dev/null
+++ b/dev-ruby/ethon/ethon-0.16.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Very lightweight libcurl wrapper"
+HOMEPAGE="https://github.com/typhoeus/ethon"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND+=" net-misc/curl"
+
+ruby_add_rdepend ">=dev-ruby/ffi-1.15.0"
+
+ruby_add_bdepend "test? ( dev-ruby/sinatra dev-ruby/mime-types )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -e '/bundler/I s:^:#:' \
+ -e '1igem "sinatra"' -i Rakefile spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/minitest/minitest-5.16.3.ebuild b/dev-ruby/minitest/minitest-5.16.3.ebuild
index 49e898624368..87fd4abad7db 100644
--- a/dev-ruby/minitest/minitest-5.16.3.ebuild
+++ b/dev-ruby/minitest/minitest-5.16.3.ebuild
@@ -17,6 +17,11 @@ SLOT="5"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
+all_ruby_prepare() {
+ # Avoid a test dependency on dev-ruby/hoe, leading to circular dependencies
+ rm -f test/minitest/test_minitest_test_task.rb || die
+}
+
each_ruby_test() {
export -n A
MT_NO_PLUGINS=true ${RUBY} -Ilib:test:. -e "Dir['**/test_*.rb'].each{|f| require f}" || die "Tests failed"
diff --git a/dev-ruby/net-sftp/Manifest b/dev-ruby/net-sftp/Manifest
index 067884c48708..83fbe4b755e6 100644
--- a/dev-ruby/net-sftp/Manifest
+++ b/dev-ruby/net-sftp/Manifest
@@ -1 +1,2 @@
DIST net-sftp-3.0.0.tar.gz 63542 BLAKE2B e09e209aa0d102a6da7611cabf49970c9a4e572d51946d5dc0688879db97c92e8a39713dd0011a4234391ff0ab685a978c491917c041f7d10a8f092fde5c876a SHA512 c28411cfa8522dec893fe7a1588a16bb761a9d7692c81c453d9a9ad817988637614c6afd754db8547e845a16062882e2b7e95974b889631676f092d9e84b83e7
+DIST net-sftp-4.0.0.tar.gz 63896 BLAKE2B d63d32d3810c05c6ed19d156c87854d09a585a63e651be5984aed22b9a2b82c6c1464dd90fcc07d5586cd171d388dd6874ebe9e4e871012fee1620701f1d648e SHA512 8c4284da3b9143a02d597fc1c2824e5ab96abb38fef932682326443ea949733c4e7513184fb6b5c870d3ff802928e34580d423c98c594cb7a07ad17a50fb5c56
diff --git a/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild b/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild
new file mode 100644
index 000000000000..845cdf80d9fc
--- /dev/null
+++ b/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="net-sftp.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="SFTP in pure Ruby"
+HOMEPAGE="https://github.com/net-ssh/net-sftp"
+SRC_URI="https://github.com/net-ssh/net-sftp/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "|| ( dev-ruby/net-ssh:7 dev-ruby/net-ssh:6 dev-ruby/net-ssh:5 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/bundler
+ >=dev-ruby/mocha-0.13
+ )"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/**/test_*.rb"].each { require _1 }' || die
+}